/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Sep-16-2011 09:08:46pm
Filepath: scripts\Items\Artifacts\Artifacts of Assimilation\greater\RedDragonsGrapple.cs
Lines of code: 39

Description: 

***********************************************************/



using Server;
using System;

namespace Server.Items
{
	
	public class RedDragonsGrapple : DragonGloves
	{
		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get { return 255; } }

		public override int BasePhysicalResistance{ get{ return 20; } }	
		public override int BaseFireResistance{ get{ return 15; } }	
		public override int BaseColdResistance{ get{ return -3; } }		
		public override int BasePoisonResistance{ get{ return 3; } }	
		public override int BaseEnergyResistance{ get{ return 5; } }	
		
		[Constructable]
		public RedDragonsGrapple() : base()
		{
			Name="Dragon's Grapple";
			Hue=1644;


			Attributes.BonusMana=10;
			Attributes.SpellDamage=12;
			Attributes.RegenMana=3;
			
			ArmorAttributes.MageArmor=1;	
			ArmorAttributes.SelfRepair=3;
		}
		

		

		public RedDragonsGrapple( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}		
	}
	
}